org.firebirdsql.gds.ng.jna

## Class JnaServiceConnection

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractConnection<T,C>
  - - org.firebirdsql.gds.ng.jna.JnaConnection<IServiceProperties,JnaService>
    - - org.firebirdsql.gds.ng.jna.JnaServiceConnection

    public final class JnaServiceConnection
    extends JnaConnection<IServiceProperties,JnaService>

Class handling the initial setup of the JNA service connection.

Since:
  3.0
Author:
  Mark Rotteveel

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.AbstractConnection

`attachProperties`

### Constructor Summary

Constructors
Constructor and Description
`JnaServiceConnection(FbClientLibrary clientLibrary, IServiceProperties connectionProperties)` Creates a JnaServiceConnection (without establishing a connection to the server).
`JnaServiceConnection(FbClientLibrary clientLibrary, IServiceProperties connectionProperties, IEncodingFactory encodingFactory)` Creates a JnaServiceConnection (without establishing a connection to the server).

### Method Summary

All Methods Instance Methods Concrete Methods
`JnaService` `identify()` Contrary to the description in the super class, this will simply return an unconnected instance.

### Methods inherited from class org.firebirdsql.gds.ng.jna.JnaConnection

`getAttachUrl, getClientLibrary, processStatusVector`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractConnection

`createDbCryptCallback, getAttachObjectName, getAttachProperties, getEncoding, getEncodingDefinition, getEncodingFactory, getPortNumber, getServerName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JnaServiceConnection

    public JnaServiceConnection(FbClientLibrary clientLibrary,
                                IServiceProperties connectionProperties)
                         throws java.sql.SQLException

Creates a JnaServiceConnection (without establishing a connection to the server).

Parameters:
  `clientLibrary` - Client library to use
  `connectionProperties` - Connection properties
Throws:
  `java.sql.SQLException`

#### JnaServiceConnection

    public JnaServiceConnection(FbClientLibrary clientLibrary,
                                IServiceProperties connectionProperties,
                                IEncodingFactory encodingFactory)
                         throws java.sql.SQLException

Creates a JnaServiceConnection (without establishing a connection to the server).

Parameters:
  `clientLibrary` - Client library to use
  `connectionProperties` - Connection properties
  `encodingFactory` - Factory for encoding definitions
Throws:
  `java.sql.SQLException`

### Method Detail

#### identify

    public JnaService identify()
                        throws java.sql.SQLException

Contrary to the description in the super class, this will simply return an unconnected instance.

Specified by:
  `identify` in class `AbstractConnection<IServiceProperties,JnaService>`
Returns:
  FbDatabase instance
Throws:
  `java.sql.SQLException`